package;
import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.text.FlxText;
import flixel.util.FlxColor;
using flixel.util.FlxSpriteUtil;

class EndState extends FlxState
{
	private var _score:Int = 0;
	private var _logo:FlxSprite;
	private var _congrats:FlxText;
	private var _txtScore:FlxText;
	private var _txtHigh:FlxText;
	
	
	public function new(Score:Int,Img:Int=0) 
	{
		super();
		_score = Score;
		if(Img==0)
		{
			_logo = new FlxSprite(0, 0, AssetPaths.Deathpikes__png);
		}
		else
			_logo = new FlxSprite(0, 0, AssetPaths.spear__png);
		add(_logo);
	}
	
	override public function create():Void
	{
		_congrats = new FlxText(0, 8, 0, "Puntuación Final:", 10);
		_congrats.setFormat("Arial",24,FlxColor.CRIMSON,"center",FlxText.BORDER_SHADOW, FlxColor.PUCE,false);
        add(_congrats);
		
		_txtScore = new FlxText((FlxG.width / 9 * 7), (_congrats.y), 0, Std.string(_score), 10);
		_txtScore.setFormat("Arial",24,FlxColor.CRIMSON,"center",FlxText.BORDER_SHADOW, FlxColor.PUCE,false);
        add(_txtScore);
		
	}
	
	override public function update():Void
	{
		if (FlxG.keys.anyJustPressed(["SPACE", "W", "Z", "CONTROL", "E", "X"]))
		{
			clickRestart();
		}
		if (FlxG.mouse.justReleased == true)
		{
			clickRestart();
		}
	}
	
	
	private function clickRestart():Void 
	{
		FlxG.switchState(new MenuState());
	}
	
}