package;

import flixel.FlxG;
import flixel.FlxSprite;
import flixel.group.FlxTypedGroup;
import flixel.text.FlxText;
import flixel.util.FlxColor;
using flixel.util.FlxSpriteUtil;


class HUD extends FlxTypedGroup<FlxSprite>
{
	private var _sprBack:FlxSprite;
	private var _txtScore:FlxText;
	
	
	public function new() 
	{
		super();
		_sprBack = new FlxSprite().makeGraphic(FlxG.width, 20, FlxColor.TRANSPARENT);
		_sprBack.drawRect(0, 19, FlxG.width, 1, FlxColor.TEAL);
		_txtScore = new FlxText((_sprBack.width * 2 / 3), 2, 0, "0", 10);
		_txtScore.setBorderStyle(FlxText.BORDER_SHADOW, FlxColor.GRAY, 1, 1);
		_txtScore.alignment = "right";
		add(_sprBack);
		add(_txtScore);
		forEach(function(spr:FlxSprite) {
             spr.scrollFactor.set();
         });
		
	}
	
	public function updateHUD(SCORE:Int = 0):Void
	{
		_txtScore.text = Std.string(SCORE);
	}
	
}